Subject: initscripts: brightness init script sets brightness to zero, thus blanking laptop display

From: Martin Steigerwald <[email-masked]>
Date: Mon, 11 Oct 2021 18:19:24 +0200

Package: initscripts
Version: 2.96-7+devuan1
Severity: normal
X-Debbugs-Cc: [email-masked]

Just updated Devuan Ceres today and found the display being blanked during
the boot process. I was able to recover over SSH using

% brightnessctl
Device 'intel_backlight' of class 'backlight':
        Current brightness: 0 (0%)
        Max brightness: 512

% brightnessctl set 100%
Updated device 'intel_backlight':
Device 'intel_backlight' of class 'backlight':
        Current brightness: 512 (100%)
        Max brightness: 512

Yet running '/etc/init.d/brightness start' blanked the display again. This
is due to:

% cat /var/lib/initscripts/brightness.intel
0

I have no idea how this value got into this file. The display was certainly
not at 0% brightness as I rebooted after the update.

Expected result:

Never ever blank the display on boot even in case
'/var/lib/initscripts/brightness.intel' contains the value zero.

Just don't.

Expected result 2:

Safe the right value to '/var/lib/initscripts/brightness.intel'. Zero is
definitly not it.

If I run:

% echo 512 > /var/lib/initscripts/brightness.intel
% /etc/init.d/brightness start

After sending this bug report I will reboot and see whether it will remember
this value. Otherwise I will 'chattr +i' this file for now.

This is on a ThinkPax X260 with Intel on board graphics from
Intel(R) Core(TM) i7-6600U CPU @ 2.60GHz CPU.

Thanks,
Martin

-- System Information:
Distributor ID:	Devuan
Description:	Devuan GNU/Linux 4 (daedalus/ceres)
Release:	5
Codename:	daedalus/ceres
Architecture: x86_64

Kernel: Linux 5.14.0-2-amd64 (SMP w/4 CPU threads)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8), LANGUAGE not set
Shell: /bin/sh linked to /bin/dash
Init: runit (via /run/runit.stopit)
LSM: AppArmor: enabled

Versions of packages initscripts depends on:
ii  lsb-base  11.1.0
ii  sysv-rc   2.96-7+devuan1

Versions of packages initscripts recommends:
ii  e2fsprogs  1.46.4-1
ii  psmisc     23.4-2

initscripts suggests no packages.

-- no debconf information